package com.bonus.canteen.core.report.vo;

import com.bonus.canteen.core.common.page.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("汇总合计行")
public class ReportBaseTotalVO<T> {
   @ApiModelProperty("查询页")
   private PageVO<T> resultPage;
   @ApiModelProperty("合计行")
   private T totalLine;

   public PageVO<T> getResultPage() {
      return this.resultPage;
   }

   public T getTotalLine() {
      return this.totalLine;
   }

   public ReportBaseTotalVO<T> setResultPage(final PageVO<T> resultPage) {
      this.resultPage = resultPage;
      return this;
   }

   public ReportBaseTotalVO<T> setTotalLine(final T totalLine) {
      this.totalLine = totalLine;
      return this;
   }


   public ReportBaseTotalVO(final PageVO<T> resultPage, final T totalLine) {
      this.resultPage = resultPage;
      this.totalLine = totalLine;
   }

   public ReportBaseTotalVO() {
   }
}
